# PETSC_VIEWER_DRAW_

Creates a window PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petscdraw.h"
    PetscViewer PETSC_DLLEXPORT PETSC_VIEWER_DRAW_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the window PetscViewer

### Notes

Unlike almost all other PETSc routines, PETSC_VIEWER_DRAW_ does not return an error code. The window is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_DRAW_(comm));

### See Also

PETSC_VIEWER_DRAW_WORLD, PETSC_VIEWER_DRAW_SELF, PetscViewerDrawOpen(),

Level:intermediate
Location: src/sys/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex2.c.html